org.keycloak.models.sessions.jpa

## Class UserSessionAdapter

- java.lang.Object
- - org.keycloak.models.sessions.jpa.UserSessionAdapter

- All Implemented Interfaces:
    UserSessionModel

      public class UserSessionAdapter
      extends Object
      implements UserSessionModel

  Author:
    Stian Thorgersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserSessionAdapter(KeycloakSession session, javax.persistence.EntityManager em, RealmModel realm, UserSessionEntity entity)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getAuthMethod()`
    `List<ClientSessionModel>` | `getClientSessions()`
    `UserSessionEntity` | `getEntity()`
    `String` | `getId()`
    `String` | `getIpAddress()`
    `int` | `getLastSessionRefresh()`
    `String` | `getLoginUsername()`
    `int` | `getStarted()`
    `UserModel` | `getUser()`
    `int` | `hashCode()`
    `boolean` | `isRememberMe()`
    `void` | `setLastSessionRefresh(int seconds)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UserSessionAdapter

          public UserSessionAdapter(KeycloakSession session,
                            javax.persistence.EntityManager em,
                            RealmModel realm,
                            UserSessionEntity entity)

  - ### Method Detail

    - #### getEntity

          public UserSessionEntity getEntity()

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `UserSessionModel`

    - #### getUser

          public UserModel getUser()

      Specified by:
        `getUser` in interface `UserSessionModel`

    - #### getLoginUsername

          public String getLoginUsername()

      Specified by:
        `getLoginUsername` in interface `UserSessionModel`

    - #### getIpAddress

          public String getIpAddress()

      Specified by:
        `getIpAddress` in interface `UserSessionModel`

    - #### getAuthMethod

          public String getAuthMethod()

      Specified by:
        `getAuthMethod` in interface `UserSessionModel`

    - #### isRememberMe

          public boolean isRememberMe()

      Specified by:
        `isRememberMe` in interface `UserSessionModel`

    - #### getStarted

          public int getStarted()

      Specified by:
        `getStarted` in interface `UserSessionModel`

    - #### getLastSessionRefresh

          public int getLastSessionRefresh()

      Specified by:
        `getLastSessionRefresh` in interface `UserSessionModel`

    - #### setLastSessionRefresh

          public void setLastSessionRefresh(int seconds)

      Specified by:
        `setLastSessionRefresh` in interface `UserSessionModel`

    - #### getClientSessions

          public List<ClientSessionModel> getClientSessions()

      Specified by:
        `getClientSessions` in interface `UserSessionModel`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2015. All Rights Reserved.